{
  "schema_version": "1.4.0",
  "id": "GHSA-g474-6mpq-jjm3",
  "modified": "2022-05-03T03:17:50Z",
  "published": "2022-05-03T03:17:50Z",
  "aliases": [
    "CVE-2007-0008"
  ],
  "details": "Integer underflow in the SSLv2 support in Mozilla Network Security Services (NSS) before 3.11.5, as used by Firefox before 1.5.0.10 and 2.x before 2.0.0.2, SeaMonkey before 1.0.8, Thunderbird before 1.5.0.10, and certain Sun Java System server products before 20070611, allows remote attackers to execute arbitrary code via a crafted SSLv2 server message containing a public key that is too short to encrypt the \"Master Secret\", which results in a heap-based overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-0008"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.mozilla.org/show_bug.cgi?id=364319"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/32666"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1081"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1103"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10502"
    },
    {
      "type": "WEB",
      "url": "http://fedoranews.org/cms/node/2709"
    },
    {
      "type": "WEB",
      "url": "http://fedoranews.org/cms/node/2711"
    },
    {
      "type": "WEB",
      "url": "http://fedoranews.org/cms/node/2713"
    },
    {
      "type": "WEB",
      "url": "http://fedoranews.org/cms/node/2728"
    },
    {
      "type": "WEB",
      "url": "http://fedoranews.org/cms/node/2747"
    },
    {
      "type": "WEB",
      "url": "http://fedoranews.org/cms/node/2749"
    },
    {
      "type": "WEB",
      "url": "http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?objectID=c00771742"
    },
    {
      "type": "WEB",
      "url": "http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=482"
    },
    {
      "type": "WEB",
      "url": "http://lists.suse.com/archive/suse-security-announce/2007-Mar/0001.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2007-0077.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24205"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24238"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24252"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24253"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24277"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24287"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24290"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24293"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24320"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24328"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24333"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24342"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24343"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24384"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24389"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24395"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24406"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24410"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24455"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24456"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24457"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24522"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24562"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24650"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24703"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25588"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25597"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200703-18.xml"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2007&m=slackware-security.338131"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2007&m=slackware-security.363947"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2007&m=slackware-security.374851"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-102856-1"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-102945-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1336"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200703-22.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/377812"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:050"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:052"
    },
    {
      "type": "WEB",
      "url": "http://www.mozilla.org/security/announce/2007/mfsa2007-06.html"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_22_mozilla.html"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/cpujan2014-1972949.html"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/32105"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0078.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0079.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0097.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0108.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/461336/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/461809/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/22694"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/64758"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1017696"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-428-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-431-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/0718"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/0719"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1165"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2141"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-02-26T20:28:00Z"
  }
}